org.codehaus.groovy.transform

## Class BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo

- java.lang.Object
- - org.codehaus.groovy.transform.BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo

Enclosing class:
  BuilderASTTransformation.AbstractBuilderStrategy

    protected static class BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PropertyInfo(java.lang.String name, ClassNode type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`ClassNode` `getType()`
`void` `setName(java.lang.String name)`
`void` `setType(ClassNode type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyInfo

    public PropertyInfo(java.lang.String name,
                        ClassNode type)

### Method Detail

#### getName

    public java.lang.String getName()

#### getType

    public ClassNode getType()

#### setName

    public void setName(java.lang.String name)

#### setType

    public void setType(ClassNode type)